|  | Home · All Classes · Modules

# QSizePolicy.ControlTypes Class Reference
[QtGui module]

### Methods

- __init__ (self, ControlTypes)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- ControlTypes __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ControlTypes f)
- ControlTypes __iand__ (self, int mask)
- int __int__ (self)
- ControlTypes __invert__ (self)
- ControlTypes __ior__ (self, ControlTypes f)
- ControlTypes __ixor__ (self, ControlTypes f)
- bool __ne__ (self, ControlTypes f)
- ControlTypes __or__ (self, ControlTypes f)
- ControlTypes __xor__ (self, ControlTypes f)

## Detailed Description

ControlType may be used whenever ControlTypes is expected.

## Method Documentation

### ControlTypes.__init__ (self, ControlTypes)

### ControlTypes.__init__ (self, int)

### ControlTypes.__init__ (self)

### ControlTypes ControlTypes.__and__ (self, int mask)

### int ControlTypes.__bool__ (self)

### bool ControlTypes.__eq__ (self, ControlTypes f)

### ControlTypes ControlTypes.__iand__ (self, int mask)

### int ControlTypes.__int__ (self)

### ControlTypes ControlTypes.__invert__ (self)

### ControlTypes ControlTypes.__ior__ (self, ControlTypes f)

### ControlTypes ControlTypes.__ixor__ (self, ControlTypes f)

### bool ControlTypes.__ne__ (self, ControlTypes f)

### ControlTypes ControlTypes.__or__ (self, ControlTypes f)

### ControlTypes ControlTypes.__xor__ (self, ControlTypes f)